<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: pressure_chemtable.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_27838cd52e45d47d178a0827eaee0df6.html">combustion</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">pressure_chemtable.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacepressure__chemtable"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html">pressure_chemtable</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a1a1f030c93a04340074ac12c5a81170c"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pressure__chemtable_8f90.html#a1a1f030c93a04340074ac12c5a81170c">pressure_chemtable_init</a> (filename)</td></tr>
<tr class="separator:a1a1f030c93a04340074ac12c5a81170c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80a5da3b23535a339e53c31205cce64c"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pressure__chemtable_8f90.html#a80a5da3b23535a339e53c31205cce64c">pressure_chemtable_lookup</a> (tag, R, A1, A2, ntype, nelem)</td></tr>
<tr class="separator:a80a5da3b23535a339e53c31205cce64c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae60acb337b907c90f1a2a1dd028ac962"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pressure__chemtable_8f90.html#ae60acb337b907c90f1a2a1dd028ac962">pressure_rescale</a> (tag, R, A1, A2, n, type, pres)</td></tr>
<tr class="separator:ae60acb337b907c90f1a2a1dd028ac962"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a89a4355e5011e10abb934f17e090cadc"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#a89a4355e5011e10abb934f17e090cadc">pressure_chemtable::pressurecombmodel</a></td></tr>
<tr class="separator:a89a4355e5011e10abb934f17e090cadc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa3473de3b35e92b8c31efb142d1caee"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#aaa3473de3b35e92b8c31efb142d1caee">pressure_chemtable::pref</a></td></tr>
<tr class="separator:aaa3473de3b35e92b8c31efb142d1caee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaedeef69c6c244057151f912fd1426b9"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#aaedeef69c6c244057151f912fd1426b9">pressure_chemtable::n1_pres</a></td></tr>
<tr class="separator:aaedeef69c6c244057151f912fd1426b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac30d3dcc7e8ea4447bb2508ad50d5bf9"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#ac30d3dcc7e8ea4447bb2508ad50d5bf9">pressure_chemtable::n2_pres</a></td></tr>
<tr class="separator:ac30d3dcc7e8ea4447bb2508ad50d5bf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53c7ca972766e965bfa1e999e98ba321"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#a53c7ca972766e965bfa1e999e98ba321">pressure_chemtable::n3_pres</a></td></tr>
<tr class="separator:a53c7ca972766e965bfa1e999e98ba321"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9db546a2fad7ef0f2cc32f8b7e691966"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#a9db546a2fad7ef0f2cc32f8b7e691966">pressure_chemtable::x1min_pres</a></td></tr>
<tr class="separator:a9db546a2fad7ef0f2cc32f8b7e691966"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54051caee514be8a3b6b27fc5c99c1b3"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#a54051caee514be8a3b6b27fc5c99c1b3">pressure_chemtable::x1max_pres</a></td></tr>
<tr class="separator:a54051caee514be8a3b6b27fc5c99c1b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81afe97b5d19e288234c89d183b7a521"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#a81afe97b5d19e288234c89d183b7a521">pressure_chemtable::x2min_pres</a></td></tr>
<tr class="separator:a81afe97b5d19e288234c89d183b7a521"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2249d81bf2372bf4c8b3b49f021f101"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#ad2249d81bf2372bf4c8b3b49f021f101">pressure_chemtable::x2max_pres</a></td></tr>
<tr class="separator:ad2249d81bf2372bf4c8b3b49f021f101"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3fdabc0d95eb5ce6e82de4a95bb737d"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#ad3fdabc0d95eb5ce6e82de4a95bb737d">pressure_chemtable::x3min_pres</a></td></tr>
<tr class="separator:ad3fdabc0d95eb5ce6e82de4a95bb737d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae80412f81f74855d5720d61bc18d79a1"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#ae80412f81f74855d5720d61bc18d79a1">pressure_chemtable::x3max_pres</a></td></tr>
<tr class="separator:ae80412f81f74855d5720d61bc18d79a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad37c5fc7a07e0f2815f60f46321eebf0"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#ad37c5fc7a07e0f2815f60f46321eebf0">pressure_chemtable::x1_pres</a></td></tr>
<tr class="separator:ad37c5fc7a07e0f2815f60f46321eebf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77cd36f640f1c2a3b7eff62320a91284"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#a77cd36f640f1c2a3b7eff62320a91284">pressure_chemtable::x2_pres</a></td></tr>
<tr class="separator:a77cd36f640f1c2a3b7eff62320a91284"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25f984fed6ee5080d6309398a09597a3"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#a25f984fed6ee5080d6309398a09597a3">pressure_chemtable::x3_pres</a></td></tr>
<tr class="separator:a25f984fed6ee5080d6309398a09597a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a195c229ab82d9a764664c4c7eba073b0"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#a195c229ab82d9a764664c4c7eba073b0">pressure_chemtable::nvar_pres</a></td></tr>
<tr class="separator:a195c229ab82d9a764664c4c7eba073b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9cac2e9bfe74998a3d4e7a24870ca1c"><td class="memItemLeft" align="right" valign="top">character(len=str_medium), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#ac9cac2e9bfe74998a3d4e7a24870ca1c">pressure_chemtable::chem_name_pres</a></td></tr>
<tr class="separator:ac9cac2e9bfe74998a3d4e7a24870ca1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75cf6d3bafd6197cc447d61fd7150e10"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#a75cf6d3bafd6197cc447d61fd7150e10">pressure_chemtable::pressure_table</a></td></tr>
<tr class="separator:a75cf6d3bafd6197cc447d61fd7150e10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f0c96384d9d4a28ea2c5c53e34703d3"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#a5f0c96384d9d4a28ea2c5c53e34703d3">pressure_chemtable::pressure_chem_mask</a></td></tr>
<tr class="separator:a5f0c96384d9d4a28ea2c5c53e34703d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac857e12ed1a8e2c28452aca1b4dcfd4f"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#ac857e12ed1a8e2c28452aca1b4dcfd4f">pressure_chemtable::index_rho_pres</a></td></tr>
<tr class="separator:ac857e12ed1a8e2c28452aca1b4dcfd4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5ce31bd657acfe5045b1b9b19b226dd"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepressure__chemtable.html#ae5ce31bd657acfe5045b1b9b19b226dd">pressure_chemtable::init_pres</a> =.false.</td></tr>
<tr class="separator:ae5ce31bd657acfe5045b1b9b19b226dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a1a1f030c93a04340074ac12c5a81170c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a1f030c93a04340074ac12c5a81170c">&#9670;&nbsp;</a></span>pressure_chemtable_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pressure_chemtable_init </td>
          <td>(</td>
          <td class="paramtype">character(len=str_medium), intent(inout)&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacenga__io.html#a1a642f064d6a1fb91a5bfba2860adc89">nga_io::check_nga_file()</a>, <a class="el" href="namespacepressure__chemtable.html#ac9cac2e9bfe74998a3d4e7a24870ca1c">pressure_chemtable::chem_name_pres</a>, <a class="el" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977">die()</a>, <a class="el" href="namespacepressure__chemtable.html#ac857e12ed1a8e2c28452aca1b4dcfd4f">pressure_chemtable::index_rho_pres</a>, <a class="el" href="namespacepressure__chemtable.html#ae5ce31bd657acfe5045b1b9b19b226dd">pressure_chemtable::init_pres</a>, <a class="el" href="namespacepressure__chemtable.html#aaedeef69c6c244057151f912fd1426b9">pressure_chemtable::n1_pres</a>, <a class="el" href="namespacepressure__chemtable.html#ac30d3dcc7e8ea4447bb2508ad50d5bf9">pressure_chemtable::n2_pres</a>, <a class="el" href="namespacepressure__chemtable.html#a53c7ca972766e965bfa1e999e98ba321">pressure_chemtable::n3_pres</a>, <a class="el" href="namespacepressure__chemtable.html#a195c229ab82d9a764664c4c7eba073b0">pressure_chemtable::nvar_pres</a>, <a class="el" href="namespacepressure__chemtable.html#aaa3473de3b35e92b8c31efb142d1caee">pressure_chemtable::pref</a>, <a class="el" href="namespacepressure__chemtable.html#a5f0c96384d9d4a28ea2c5c53e34703d3">pressure_chemtable::pressure_chem_mask</a>, <a class="el" href="namespacepressure__chemtable.html#a89a4355e5011e10abb934f17e090cadc">pressure_chemtable::pressurecombmodel</a>, <a class="el" href="namespacenga__io.html#a6ecbe666bf692a97ab14a47bc9f5816f">nga_io::read_preamble_nga_io()</a>, <a class="el" href="namespacepressure__chemtable.html#ad37c5fc7a07e0f2815f60f46321eebf0">pressure_chemtable::x1_pres</a>, <a class="el" href="namespacepressure__chemtable.html#a54051caee514be8a3b6b27fc5c99c1b3">pressure_chemtable::x1max_pres</a>, <a class="el" href="namespacepressure__chemtable.html#a9db546a2fad7ef0f2cc32f8b7e691966">pressure_chemtable::x1min_pres</a>, <a class="el" href="namespacepressure__chemtable.html#a77cd36f640f1c2a3b7eff62320a91284">pressure_chemtable::x2_pres</a>, <a class="el" href="namespacepressure__chemtable.html#ad2249d81bf2372bf4c8b3b49f021f101">pressure_chemtable::x2max_pres</a>, <a class="el" href="namespacepressure__chemtable.html#a81afe97b5d19e288234c89d183b7a521">pressure_chemtable::x2min_pres</a>, <a class="el" href="namespacepressure__chemtable.html#a25f984fed6ee5080d6309398a09597a3">pressure_chemtable::x3_pres</a>, <a class="el" href="namespacepressure__chemtable.html#ae80412f81f74855d5720d61bc18d79a1">pressure_chemtable::x3max_pres</a>, and <a class="el" href="namespacepressure__chemtable.html#ad3fdabc0d95eb5ce6e82de4a95bb737d">pressure_chemtable::x3min_pres</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="pressure__chemtable_8f90_a1a1f030c93a04340074ac12c5a81170c_cgraph.png" border="0" usemap="#pressure__chemtable_8f90_a1a1f030c93a04340074ac12c5a81170c_cgraph" alt=""/></div>
<map name="pressure__chemtable_8f90_a1a1f030c93a04340074ac12c5a81170c_cgraph" id="pressure__chemtable_8f90_a1a1f030c93a04340074ac12c5a81170c_cgraph">
<area shape="rect" id="node2" href="namespacenga__io.html#a1a642f064d6a1fb91a5bfba2860adc89" title="nga_io::check_nga_file" alt="" coords="216,125,371,152"/>
<area shape="rect" id="node8" href="namespacenga__io.html#a6ecbe666bf692a97ab14a47bc9f5816f" title="nga_io::read_preamble\l_nga_io" alt="" coords="419,176,572,218"/>
<area shape="rect" id="node19" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="274,238,313,265"/>
<area shape="rect" id="node3" href="namespacenga__io.html#a80567cb65b887edb8bd7e3907cde6210" title="nga_io::init_nga_io\l_types" alt="" coords="648,126,779,167"/>
<area shape="rect" id="node4" href="namespacefile__system.html#a047ef6069d3ea6cc368f6cef8569e0e1" title="file_system::get_mpi\l_filename" alt="" coords="424,8,567,50"/>
<area shape="rect" id="node6" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1065,74,1161,101"/>
<area shape="rect" id="node5" href="namespacefile__system.html#a0bab3e012be5c7813b440494e7ec58fe" title="file_system::make_directory" alt="" coords="620,24,807,50"/>
<area shape="rect" id="node7" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="1272,67,1403,108"/>
<area shape="rect" id="node9" href="nga__io_8f90.html#a0ac55997b2c388797802b90347236400" title="check_byte_swap" alt="" coords="650,192,777,218"/>
<area shape="rect" id="node10" href="namespaceparser.html#a2204d5324b210ab1dc9803a58db1c814" title="parser::get_logical\l_param" alt="" coords="855,176,983,218"/>
<area shape="rect" id="node11" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="1041,180,1185,206"/>
<area shape="rect" id="node12" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="1035,230,1190,257"/>
<area shape="rect" id="node13" href="namespaceparser.html#a3ca87e1ce9b98eccb21ed318dd61daac" title="parser::get_param_from\l_tag_list" alt="" coords="1033,282,1193,323"/>
<area shape="rect" id="node18" href="namespaceparser.html#a20cf12b9337602e6318ccd187ae7b74a" title="parser::combine_tag_list" alt="" coords="1031,129,1195,156"/>
<area shape="rect" id="node14" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="1267,248,1408,290"/>
<area shape="rect" id="node15" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="1255,314,1420,355"/>
<area shape="rect" id="node16" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="1243,380,1432,406"/>
<area shape="rect" id="node17" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="1255,197,1419,224"/>
<area shape="rect" id="node20" href="namespaceparallel__m.html#a0d5c44f41dcecb4b8722abd7ea3523fb" title="parallel_m::parallel_kill" alt="" coords="419,242,572,269"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="pressure__chemtable_8f90_a1a1f030c93a04340074ac12c5a81170c_icgraph.png" border="0" usemap="#pressure__chemtable_8f90_a1a1f030c93a04340074ac12c5a81170c_icgraph" alt=""/></div>
<map name="pressure__chemtable_8f90_a1a1f030c93a04340074ac12c5a81170c_icgraph" id="pressure__chemtable_8f90_a1a1f030c93a04340074ac12c5a81170c_icgraph">
<area shape="rect" id="node2" href="combustion_8f90.html#a4d09639b1292ef4cc0c83a3d4bdea76c" title="combustion_init" alt="" coords="216,5,329,32"/>
<area shape="rect" id="node3" href="combustion_8f90.html#a2f0eeadb9092a477faaa2cb7bca4b1b1" title="cf_combustion_init" alt="" coords="377,5,508,32"/>
</map>
</div>

</div>
</div>
<a id="a80a5da3b23535a339e53c31205cce64c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80a5da3b23535a339e53c31205cce64c">&#9670;&nbsp;</a></span>pressure_chemtable_lookup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pressure_chemtable_lookup </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>tag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(nelem), intent(out)&#160;</td>
          <td class="paramname"><em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(nelem), intent(in)&#160;</td>
          <td class="paramname"><em>A1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(nelem), intent(in)&#160;</td>
          <td class="paramname"><em>A2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>ntype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>nelem</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacepressure__chemtable.html#ac9cac2e9bfe74998a3d4e7a24870ca1c">pressure_chemtable::chem_name_pres</a>, <a class="el" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977">die()</a>, <a class="el" href="namespacepressure__chemtable.html#ae5ce31bd657acfe5045b1b9b19b226dd">pressure_chemtable::init_pres</a>, <a class="el" href="namespacepressure__chemtable.html#aaedeef69c6c244057151f912fd1426b9">pressure_chemtable::n1_pres</a>, <a class="el" href="namespacepressure__chemtable.html#ac30d3dcc7e8ea4447bb2508ad50d5bf9">pressure_chemtable::n2_pres</a>, <a class="el" href="namespacepressure__chemtable.html#a195c229ab82d9a764664c4c7eba073b0">pressure_chemtable::nvar_pres</a>, <a class="el" href="namespacepressure__chemtable.html#ad37c5fc7a07e0f2815f60f46321eebf0">pressure_chemtable::x1_pres</a>, <a class="el" href="namespacepressure__chemtable.html#a54051caee514be8a3b6b27fc5c99c1b3">pressure_chemtable::x1max_pres</a>, <a class="el" href="namespacepressure__chemtable.html#a9db546a2fad7ef0f2cc32f8b7e691966">pressure_chemtable::x1min_pres</a>, <a class="el" href="namespacepressure__chemtable.html#a77cd36f640f1c2a3b7eff62320a91284">pressure_chemtable::x2_pres</a>, <a class="el" href="namespacepressure__chemtable.html#ad2249d81bf2372bf4c8b3b49f021f101">pressure_chemtable::x2max_pres</a>, and <a class="el" href="namespacepressure__chemtable.html#a81afe97b5d19e288234c89d183b7a521">pressure_chemtable::x2min_pres</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="pressure__chemtable_8f90_a80a5da3b23535a339e53c31205cce64c_cgraph.png" border="0" usemap="#pressure__chemtable_8f90_a80a5da3b23535a339e53c31205cce64c_cgraph" alt=""/></div>
<map name="pressure__chemtable_8f90_a80a5da3b23535a339e53c31205cce64c_cgraph" id="pressure__chemtable_8f90_a80a5da3b23535a339e53c31205cce64c_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="192,13,231,39"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#a0d5c44f41dcecb4b8722abd7ea3523fb" title="parallel_m::parallel_kill" alt="" coords="279,13,432,39"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="pressure__chemtable_8f90_a80a5da3b23535a339e53c31205cce64c_icgraph.png" border="0" usemap="#pressure__chemtable_8f90_a80a5da3b23535a339e53c31205cce64c_icgraph" alt=""/></div>
<map name="pressure__chemtable_8f90_a80a5da3b23535a339e53c31205cce64c_icgraph" id="pressure__chemtable_8f90_a80a5da3b23535a339e53c31205cce64c_icgraph">
<area shape="rect" id="node2" href="premixed__chemtable_8f90.html#aee1160e5cc1aeaa74fa91cd3cd5d479a" title="premixed_chemtable\l_lookup" alt="" coords="192,355,335,396"/>
<area shape="rect" id="node47" href="premixed__chemtable_8f90.html#a69a9b8aa59ddabcca5a384484eff1a74" title="premixed_chemtable\l_lookup_alt" alt="" coords="192,247,335,288"/>
<area shape="rect" id="node48" href="premixed__chemtable_8f90.html#a172fbb059f28f631b81b96970463d5e0" title="premixed_chemtable\l_lookup_rho" alt="" coords="192,420,335,461"/>
<area shape="rect" id="node49" href="premixed__chemtable_8f90.html#a265c57271b91cc9339f9e4254535852d" title="premixed_chemtable\l_prog_minmax" alt="" coords="192,485,335,527"/>
<area shape="rect" id="node50" href="pressure__chemtable_8f90.html#ae60acb337b907c90f1a2a1dd028ac962" title="pressure_rescale" alt="" coords="203,551,324,578"/>
<area shape="rect" id="node3" href="combustion_8f90.html#ae88ff2cc4a9721432ef615796106876e" title="combustion_source_scalar_mid" alt="" coords="383,333,588,359"/>
<area shape="rect" id="node4" href="combustion__func_8f90.html#a7cf59c9b5024b2312f1b8143d8c6a359" title="premixed_combustion\l_lookup" alt="" coords="861,683,1010,724"/>
<area shape="rect" id="node35" href="namespacefinitechem.html#a687fbf1e02f68860759690667f553f93" title="finitechem::finitechem\l_ignite" alt="" coords="410,536,561,577"/>
<area shape="rect" id="node36" href="regime__selection_8f90.html#ae1103d825d9f64884267c14fbc7b5534" title="mixed_chemtable_lookup" alt="" coords="401,231,570,258"/>
<area shape="rect" id="node37" href="namespacethermo__species__func.html#a696ded178175aa02e464f36fde11dd12" title="thermo_species_func\l::tspecies_composition" alt="" coords="636,224,792,265"/>
<area shape="rect" id="node42" href="regime__selection_8f90.html#a5d75be9c6584a380c593e7d9b054881b" title="mixed_chemtable_lookup_alt" alt="" coords="840,1027,1031,1054"/>
<area shape="rect" id="node44" href="regime__selection_8f90.html#ab045f401a34717aef96d1f8db1292fd8" title="select_regime" alt="" coords="1109,71,1211,98"/>
<area shape="rect" id="node45" href="regime__selection_8f90.html#abffcb8c55641177f6a686de2457eeda0" title="regime_hexaint" alt="" coords="659,383,769,410"/>
<area shape="rect" id="node5" href="combustion_8f90.html#aa65c2c20d5d574fccfc3dd26e0eaf2d6" title="combustion_monitor" alt="" coords="1091,1154,1229,1181"/>
<area shape="rect" id="node7" href="combustion__func_8f90.html#a0bd64a213f378b0f53833617ee37488f" title="combustion_invert_density" alt="" coords="1495,1205,1672,1231"/>
<area shape="rect" id="node10" href="combustion__func_8f90.html#af96d85787e5047c57e8cf6ecddcfd1fc" title="combustion_density" alt="" coords="1091,749,1229,775"/>
<area shape="rect" id="node14" href="combustion__func_8f90.html#a262f57a65926eedf2a0e2e8b1ca5de88" title="combustion_viscosity" alt="" coords="1294,314,1442,341"/>
<area shape="rect" id="node15" href="combustion__func_8f90.html#ae197b48602d48cb9fb6eef3f8e895a2d" title="combustion_diffusivity" alt="" coords="1292,618,1444,645"/>
<area shape="rect" id="node16" href="combustion__func_8f90.html#a0860bb5a0f38393ca31a07331361b7ff" title="combustion_temperature" alt="" coords="1501,1154,1666,1181"/>
<area shape="rect" id="node18" href="combustion__func_8f90.html#a577b0c2570910e493f3e3c52de9534c8" title="combustion_enthalpy" alt="" coords="1087,1002,1233,1029"/>
<area shape="rect" id="node19" href="combustion__func_8f90.html#a31592bc5e6087c6a936b47d1da2109a3" title="combustion_heatrelease" alt="" coords="1079,1306,1241,1333"/>
<area shape="rect" id="node21" href="combustion__func_8f90.html#a8ca2ec43ea592bd8174708867e830185" title="combustion_species\l_table" alt="" coords="1089,1205,1231,1247"/>
<area shape="rect" id="node22" href="combustion__func_8f90.html#a764ea750f8a75492c5650a3f3c5605ed" title="combustion_t_from_h" alt="" coords="1087,901,1233,927"/>
<area shape="rect" id="node24" href="combustion__func_8f90.html#a596de61499ebc31b3cb4df7340504aa6" title="combustion_rescale\l_rho_t" alt="" coords="1091,683,1229,724"/>
<area shape="rect" id="node25" href="combustion__func_8f90.html#aa45259d46222de9eb3fda4b2ad3fb6ab" title="combustion_cp_wmix" alt="" coords="1086,1053,1234,1079"/>
<area shape="rect" id="node27" href="namespacepremixedrif.html#af9f05261f4101c758e133eb2f100ea91" title="premixedrif::premixedrif\l_get_temperature" alt="" coords="1081,173,1239,215"/>
<area shape="rect" id="node28" href="namespacepremixedrif.html#a1e2eb37ad2ef91e3a7869744dc88649f" title="premixedrif::premixedrif\l_get_density" alt="" coords="1081,239,1239,280"/>
<area shape="rect" id="node29" href="namespacepremixedrif.html#a0aaf44f7ad0c327a18fbb1ade1ef7670" title="premixedrif::premixedrif\l_get_hr" alt="" coords="1081,304,1239,345"/>
<area shape="rect" id="node30" href="namespacepremixedrif.html#a73e1fb6109861ab1fe92b3c36649973d" title="premixedrif::premixedrif\l_viscosity" alt="" coords="1081,369,1239,411"/>
<area shape="rect" id="node31" href="namespacepremixedrif.html#aa721283ebc2d037853f4b9bbf7140884" title="premixedrif::premixedrif\l_diffusivity" alt="" coords="1081,435,1239,476"/>
<area shape="rect" id="node32" href="namespacepremixedrif.html#a7b736f8b1f8693c17a7f21197595bf20" title="premixedrif::premixedrif\l_get_enthalpy" alt="" coords="1081,500,1239,541"/>
<area shape="rect" id="node33" href="namespacepremixedrif.html#ac999e66772841c9a4742511931143fa8" title="premixedrif::premixedrif\l_t_from_h" alt="" coords="1081,5,1239,47"/>
<area shape="rect" id="node34" href="namespacepremixedrif.html#aa571f85deff876477c916ed2642ff228" title="premixedrif::premixedrif\l_rescale_rho_t" alt="" coords="1081,565,1239,607"/>
<area shape="rect" id="node6" href="combustion_8f90.html#a285df56dccf231b1ea8d55cfe7f8bebf" title="cf_combustion_monitor" alt="" coords="1289,1154,1447,1181"/>
<area shape="rect" id="node8" href="combustion_8f90.html#ac47f066df9ddc9214cf76b6dd23a803d" title="combustion_step" alt="" coords="1931,1255,2052,1282"/>
<area shape="rect" id="node9" href="combustion_8f90.html#a8c091f48d090774d343efe095bdb1a2f" title="combustion_poststep" alt="" coords="1728,1154,1875,1181"/>
<area shape="rect" id="node11" href="combustion_8f90.html#a4d09639b1292ef4cc0c83a3d4bdea76c" title="combustion_init" alt="" coords="1745,707,1858,734"/>
<area shape="rect" id="node12" href="combustion_8f90.html#ab7db5cadc70c0850301c4e67457b04a7" title="combustion_prestep" alt="" coords="1514,441,1653,467"/>
<area shape="rect" id="node13" href="combustion_8f90.html#a90da156e57083f5186fd354ec7d4fe24" title="combustion_recomprho" alt="" coords="1289,466,1447,493"/>
<area shape="rect" id="node17" href="combustion__func_8f90.html#ac2c4e2576633b925b4cd6e252ff2c108" title="combustion_spray_evap" alt="" coords="1720,1306,1883,1333"/>
<area shape="rect" id="node20" href="combustion_8f90.html#a5cddf7466e85dd2d5345b5e2af0ad44d" title="cf_combustion_update" alt="" coords="1291,1306,1445,1333"/>
<area shape="rect" id="node23" href="combustion__func_8f90.html#ac9ff579e35f64a3ea44a491aefd89990" title="combustion_t_from_ie" alt="" coords="1293,770,1443,797"/>
<area shape="rect" id="node26" href="namespacecombustion__utilities.html#a813fd711dbedaf5aeaa632f80c713520" title="combustion_utilities\l::combustion_rescale\l_density" alt="" coords="1295,1023,1441,1079"/>
<area shape="rect" id="node38" href="NASA__temp__energy__m_8f90.html#a92bc61b1326f61b2182759e4a912b9e5" title="nasa_t_from_ie" alt="" coords="880,173,991,199"/>
<area shape="rect" id="node39" href="NASA__temp__energy__m_8f90.html#a89783b65dc604faea6f2889fc82ede0b" title="nasa_t_from_h" alt="" coords="881,122,989,149"/>
<area shape="rect" id="node40" href="namespacethermo__species__func.html#a510cb885ba2534147343abb9534d19ea" title="thermo_species_func\l::premixed_chemtable_wmix" alt="" coords="841,224,1029,265"/>
<area shape="rect" id="node41" href="namespacethermo__species__func.html#a0ba0b78fbca9a848094cde217b4d0fac" title="thermo_species_func\l::tspecies_radiation\l_mol_frac" alt="" coords="862,290,1009,346"/>
<area shape="rect" id="node43" href="combustion__func_8f90.html#a905819db16d299eabecf64b4b38fd44a" title="combustion_wmix" alt="" coords="1520,1331,1647,1358"/>
<area shape="rect" id="node46" href="regime__selection_8f90.html#aa5472ad531f149a2081e349159769f2e" title="generate_lambda_fields" alt="" coords="856,370,1015,397"/>
</map>
</div>

</div>
</div>
<a id="ae60acb337b907c90f1a2a1dd028ac962"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae60acb337b907c90f1a2a1dd028ac962">&#9670;&nbsp;</a></span>pressure_rescale()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine pressure_rescale </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>tag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(n)&#160;</td>
          <td class="paramname"><em>R</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(n), intent(in)&#160;</td>
          <td class="paramname"><em>A1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(n), intent(in)&#160;</td>
          <td class="paramname"><em>A2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(n), intent(in), optional&#160;</td>
          <td class="paramname"><em>pres</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977">die()</a>, <a class="el" href="namespacepressure__chemtable.html#ae5ce31bd657acfe5045b1b9b19b226dd">pressure_chemtable::init_pres</a>, <a class="el" href="namespacecombustion__work.html#a90949587803de7e60a5301d85d856314">combustion_work::p_thermo</a>, <a class="el" href="namespacepressure__chemtable.html#aaa3473de3b35e92b8c31efb142d1caee">pressure_chemtable::pref</a>, and <a class="el" href="pressure__chemtable_8f90.html#a80a5da3b23535a339e53c31205cce64c">pressure_chemtable_lookup()</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="pressure__chemtable_8f90_ae60acb337b907c90f1a2a1dd028ac962_cgraph.png" border="0" usemap="#pressure__chemtable_8f90_ae60acb337b907c90f1a2a1dd028ac962_cgraph" alt=""/></div>
<map name="pressure__chemtable_8f90_ae60acb337b907c90f1a2a1dd028ac962_cgraph" id="pressure__chemtable_8f90_ae60acb337b907c90f1a2a1dd028ac962_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="361,5,400,32"/>
<area shape="rect" id="node4" href="pressure__chemtable_8f90.html#a80a5da3b23535a339e53c31205cce64c" title="pressure_chemtable\l_lookup" alt="" coords="175,27,313,69"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#a0d5c44f41dcecb4b8722abd7ea3523fb" title="parallel_m::parallel_kill" alt="" coords="448,5,601,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
